clc;
mode(-1)
funcprot(0);

getd('..\macros');

// Algorithms
printf('Creating testing data...\n')
printf('-----------------\n');
sample_rate=100;
t = 0:1/sample_rate:100;
N=size(t,'*');
s=sin(2*%pi*50*t)+sin(2*%pi*70*t+%pi/4)+grand(1,N,'nor',0,1);
b = 0.06;
printf('Function calls...\n')
printf('-----------------\n');
[t,s_old,sig_new, f,spec_old,spec_new] = ampl_k(s,sample_rate,b);

// Plots
printf('Plotting graphs...\n')
printf('-----------------\n');
figure(1);plot(t,s_old);plot(t,sig_new,'r');
figure(2);plot(f,spec_old);plot(f,spec_new,'r');

// Test results
printf('Testing ampl_k.sci...\n')
printf('-----------------\n');
disp('--------------------TEST Result--------------------')
disp('TODO...')
disp('---------------TEST Result: PASSED---------------')
// TODO
