clc;
mode(-1);
funcprot(0);

getd('..\macros');

// Algorithms
printf('Creating testing data...\n')
printf('-----------------\n');
x = [0 1 2 3 4 3 2 1];
X = [x x x x x x x x x x x x x x x x x x x];
X1 = [X X X X X];
Y = (X1.^2)/2 - 2;
for i = 1:length(Y)
  o(i) = abs(((i/2-length(Y)+1)/40)) + 0.8*sin(Y(i)/2) + sin(i);
end
o = (o-mean(o));
a = [o; -o]';
printf('Function calls...\n')
printf('-----------------\n');
u = [notrend(a,2,760)]';

// Plots
printf('Plotting graphs...\n')
printf('-----------------\n');
plot(a);
plot(u,'g');
legend('Original','No Trend')

// TEST Results
disp('--------------------TEST Result--------------------')
printf('Testing notrend.sci...\n')
printf('-----------------\n');
// TODO
disp('TODO...');

