function spy(X)
// Mimic the Matlab spy command.
// Draw the non zero components of a matrix.
// Taken from Engineering and Scientific computing with Scilab
// edited by Claude Gomez.
    
    [i,j] = find(X~=0);
    [N,M] = size(X);
    xsetech([0,0,1,1],[1,0,M+1,N]);
    xrects([j;N-i+1; ones(i); ones(i)], ones(i));
    xrect(1,N,M,N);
    
endfunction