clc;
mode(-1)
funcprot(0);

getd('..\macros');

// Algorithms

data = read('../demos/dryer.dat',-1,2);
printf('Reading testing data...\n')
printf('-----------------\n');
y = data(1:400,2); u = data(1:400,1); //identification data
yv = data(401:$,2); uv = data(401:$,1); //validation data
printf('Function calls...\n')
printf('-----------------\n');
[a b vare] = arx(y,u,3,3,2);
[fit, ys] = valSim(a, b, yv, uv);
printf('Function calls...\n')
printf('-----------------\n');
[res,msRes,maxRes]=residues(yv, ys, 1) // computes the residues and plot
printf('Plotting graphs...\n')
printf('-----------------\n');
//[res,msRes,maxRes]=residues(yv, ys); // computes the residues

// TEST Results
disp('--------------------TEST Result--------------------')
printf('Testing residues.sci...\n')
printf('-----------------\n');
disp(msRes,'Mean square of the residues: ')
disp(maxRes,'Maximum absolute value of the residues')

if ~isempty(res) | ~isempty(msRes) | ~isempty(maxRes)
  disp('TEST Result: PASSED')
end;

