mode(-1);
lines(0);

TOOLBOX_NAME  = "identification";
TOOLBOX_TITLE = "identification";
toolbox_dir   = get_absolute_file_path("builder.sce");

// Check Scilab's version
// =============================================================================

try
    v = getversion("scilab");
catch
    error(gettext("Scilab 5.3 or more is required."));
end

if v(2) < 3 then
    // new API in scilab 5.3
    error(gettext('Scilab 5.3 or more is required.'));
end
clear v;

// Check modules_manager module availability
// =============================================================================

if ~isdef('tbx_build_loader') then
  error(msprintf(gettext('%s module not installed."), 'modules_manager'));
end

// Action
// =============================================================================

tbx_builder_macros(toolbox_dir);
//tbx_builder_tests(toolbox_dir);
//tbx_builder_src(toolbox_dir);
//tbx_builder_gateway(toolbox_dir);
tbx_builder_help(toolbox_dir); // TODO
tbx_build_loader(TOOLBOX_NAME, toolbox_dir);
tbx_build_cleaner(TOOLBOX_NAME, toolbox_dir);


//getd('..\macros');  
//getd('..\macros\subspace');
//getd('..\macros\utils');

// Clean variables
// =============================================================================

clear toolbox_dir TOOLBOX_NAME TOOLBOX_TITLE;

//
//
//
//
//
//
//mode(-1);
//mainpathB=get_absolute_file_path('builder.sce');
//chdir(mainpathB);
//if isdir('src') then
//chdir('src');
//exec('buildsrc.sce');
//chdir('..');
//end
//if isdir('sci_gateway') then
//chdir('sci_gateway');
//exec('buildsci_gateway.sce');
//chdir('..');
//end
//if isdir('macros') then
//chdir('macros');
//exec('buildmacros.sce');
//chdir('..');
//end
//if isdir('help') then
//chdir('help');
//exec('buildhelp.sce');
//chdir('..');
//end
//clear mainpathB
//
