clc;
mode(-1)
funcprot(0);

// Algorithms
printf('Creating testing data...\n')
printf('-----------------\n');
x = [1 2 3 4 5 6 7 8 9];
xNan=x; xNan(3:5) = %nan;
printf('Function calls...\n')
printf('-----------------\n');
y = nanhandle(xNan, 2); // Nan values handling

// Plots
printf('Plotting graphs...\n')
printf('-----------------\n');
plot(x);
plot(y,'r');
legend('Original','Handled');

// TEST Results
disp('--------------------TEST Result--------------------')
printf('Testing nanhandle.sci...\n')
printf('-----------------\n');
if x==y
  disp('Original and Handled signal equality OK')
  disp('TEST Result: PASSED')
else
  disp('TEST Result: FAILED')
end;


